// -*- Mode: vala; indent-tabs-mode: nil; tab-width: 4 -*-
/*-
 * Copyright (c) 2014 Pantheon Online Accounts Developers (http://launchpad.net/pantheon-online-accounts)
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * Authored by: Corentin Noël <corentin@elementaryos.org>
 */

public class E.BookBackendOutlookFactory : E.BookBackendFactory {
    static construct {
        factory_name = "outlook2";
        backend_type = typeof (BookBackendOutlook);
    }
}

[ModuleInit]
public static Type e_module_load (GLib.TypeModule type_module) {
    e_outlook_addressbook_fake_module_load (type_module);
    return typeof (E.BookBackendOutlookFactory);
}

public void e_module_unload (TypeModule type_module) {
    
}